## org.metaabm.act.impl
Class AInputImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.metaabm.act.impl.AInputImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, AInput

    public class AInputImpl

extends org.eclipse.emf.ecore.impl.EObjectImpl
implements AInput

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`protected ALiteral` `literal` The cached value of the '`Literal`' containment reference.
`protected ASelect` `selected` The cached value of the '`Selected`' reference.
`protected IValue` `value` The cached value of the '`Value`' reference.

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `AInputImpl()`

Method Summary
`ASelect` `basicGetSelected()`
`IValue` `basicGetValue()`
`org.eclipse.emf.common.notify.NotificationChain` `basicSetLiteral(ALiteral newLiteral, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `basicSetSink(ASink newSink, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `eBasicRemoveFromContainerFeature(org.eclipse.emf.common.notify.NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`ALiteral` `getLiteral()`
`ASelect` `getSelected()`
`ASink` `getSink()`
`IValue` `getValue()`
`boolean` `isPotentialValue(IValue value)`
`boolean` `isReachable(IValue value)`
`java.util.Collection<?>` `potentialValues(java.util.Collection<IValue> suggestValues)`
`boolean` `references(IValue value)`
`void` `setLiteral(ALiteral newLiteral)`
`void` `setSelected(ASelect newSelected)`
`void` `setSink(ASink newSink)`
`void` `setValue(IValue newValue)`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues, toString`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### selected

    protected ASelect selected

  The cached value of the '`Selected`' reference.

  See Also:
    `getSelected()`

### literal

    protected ALiteral literal

  The cached value of the '`Literal`' containment reference.

  See Also:
    `getLiteral()`

### value

    protected IValue value

  The cached value of the '`Value`' reference.

  See Also:
    `getValue()`

Constructor Detail

### AInputImpl

    protected AInputImpl()

Method Detail

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `org.eclipse.emf.ecore.impl.EObjectImpl`

### getValue

    public IValue getValue()

  Specified by:
    `getValue` in interface `AInput`
  Returns:
    the value of the 'Value' reference.
  See Also:
    `AInput.setValue(IValue)`, `MetaABMActPackage.getAInput_Value()`

### basicGetValue

    public IValue basicGetValue()

### setValue

    public void setValue(IValue newValue)

  Specified by:
    `setValue` in interface `AInput`
  Parameters:
    `newValue` - the new value of the 'Value' reference.
  See Also:
    `AInput.getValue()`

### getSink

    public ASink getSink()

  Specified by:
    `getSink` in interface `AInput`
  Returns:
    the value of the 'Sink' container reference.
  See Also:
    `AInput.setSink(ASink)`, `MetaABMActPackage.getAInput_Sink()`, `ASink.getInputs()`

### basicSetSink

    public org.eclipse.emf.common.notify.NotificationChain basicSetSink(ASink newSink,
                                                                        org.eclipse.emf.common.notify.NotificationChain msgs)

### setSink

    public void setSink(ASink newSink)

  Specified by:
    `setSink` in interface `AInput`
  Parameters:
    `newSink` - the new value of the 'Sink' container reference.
  See Also:
    `AInput.getSink()`

### getSelected

    public ASelect getSelected()

  Specified by:
    `getSelected` in interface `AInput`
  Returns:
    the value of the 'Selected' reference.
  See Also:
    `AInput.setSelected(ASelect)`, `MetaABMActPackage.getAInput_Selected()`

### basicGetSelected

    public ASelect basicGetSelected()

### setSelected

    public void setSelected(ASelect newSelected)

  Specified by:
    `setSelected` in interface `AInput`
  Parameters:
    `newSelected` - the new value of the 'Selected' reference.
  See Also:
    `AInput.getSelected()`

### getLiteral

    public ALiteral getLiteral()

  Specified by:
    `getLiteral` in interface `AInput`
  Returns:
    the value of the 'Literal' containment reference.
  See Also:
    `AInput.setLiteral(ALiteral)`, `MetaABMActPackage.getAInput_Literal()`

### basicSetLiteral

    public org.eclipse.emf.common.notify.NotificationChain basicSetLiteral(ALiteral newLiteral,
                                                                           org.eclipse.emf.common.notify.NotificationChain msgs)

### setLiteral

    public void setLiteral(ALiteral newLiteral)

  Specified by:
    `setLiteral` in interface `AInput`
  Parameters:
    `newLiteral` - the new value of the 'Literal' containment reference.
  See Also:
    `AInput.getLiteral()`

### eInverseAdd

    public org.eclipse.emf.common.notify.NotificationChain eInverseAdd(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                       int featureID,
                                                                       org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eBasicRemoveFromContainerFeature

    public org.eclipse.emf.common.notify.NotificationChain eBasicRemoveFromContainerFeature(org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eBasicRemoveFromContainerFeature` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### isPotentialValue

    public boolean isPotentialValue(IValue value)

  Specified by:
    `isPotentialValue` in interface `AInput`

### isReachable

    public boolean isReachable(IValue value)

  Specified by:
    `isReachable` in interface `AInput`

### potentialValues

    public java.util.Collection<?> potentialValues(java.util.Collection<IValue> suggestValues)

  Specified by:
    `potentialValues` in interface `AInput`

### references

    public boolean references(IValue value)

  Specified by:
    `references` in interface `AInput`